Bug 978277 - [abrt] Zim-0.60-1.fc18: pathbar.py:206:do_size_allocate:AssertionError
[abrt] Zim-0.60-1.fc18: pathbar.py:206:do_size_allocate:AssertionError
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:2ac6bb4b80cced4d2d7716ed18c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 05:04 EDT by Giuseppe Fiorentino
Modified: 2014-02-05 16:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:58:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.40 KB, text/plain)
2013-06-26 05:04 EDT, Giuseppe Fiorentino
no flags Details
File: environ (1.08 KB, text/plain)
2013-06-26 05:04 EDT, Giuseppe Fiorentino
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1195143 None None None Never

  None (edit)
Description Giuseppe Fiorentino 2013-06-26 05:04:49 EDT
Description of problem:
probably, after a pc restore from a previous stand-by state (sospension)

Version-Release number of selected component:
Zim-0.60-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /bin/zim --ipc-server-main /tmp/zim-peppe/zim-server-socket 30
core_backtrace: e595685a4c92c5d4f91531ef04f170aca7774906 0xce do_size_allocate /usr/lib/python2.7/site-packages/zim/gui/pathbar.py -
executable:     /bin/zim
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
pathbar.py:206:do_size_allocate:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/gui/pathbar.py", line 206, in do_size_allocate
    assert 0 <= index <= len(children)
AssertionError

Local variables in innermost frame:
allocation: gtk.gdk.Rectangle(262, 63, 830, 27)
index: 15
direction: -1
children: [<gtk.ToggleButton object at 0x3a451e0 (GtkToggleButton at 0x34d62a0)>, <gtk.ToggleButton object at 0x3b1f690 (GtkToggleButton at 0x3c35ed0)>, <gtk.ToggleButton object at 0x3b1f050 (GtkToggleButton at 0x3bfbd00)>, <gtk.ToggleButton object at 0x3b1f190 (GtkToggleButton at 0x3c35920)>, <gtk.ToggleButton object at 0x3b1f2d0 (GtkToggleButton at 0x3d4d1b0)>, <gtk.ToggleButton object at 0x3b1f410 (GtkToggleButton at 0x34d6510)>, <gtk.ToggleButton object at 0x3b1f550 (GtkToggleButton at 0x3d5f9c0)>, <gtk.ToggleButton object at 0x3b1f910 (GtkToggleButton at 0x3d611d0)>, <gtk.ToggleButton object at 0x3b1fa50 (GtkToggleButton at 0x3d629e0)>, <gtk.ToggleButton object at 0x3b1fcd0 (GtkToggleButton at 0x3aefcf0)>, <gtk.ToggleButton object at 0x3b1fe10 (GtkToggleButton at 0x3d5d9b0)>, <gtk.ToggleButton object at 0x3b325f0 (GtkToggleButton at 0x3d615e0)>, <gtk.ToggleButton object at 0x3b32e10 (GtkToggleButton at 0x3bfb9c0)>, <gtk.ToggleButton object at 0x3b32af0 (GtkToggleButton at 0x3df8db0)>]
self: <HistoryPathBar object at 0x3b23c80 (zim+gui+pathbar+ScrolledHBox at 0x3b5cc30)>
Comment 1 Giuseppe Fiorentino 2013-06-26 05:04:54 EDT
Created attachment 765479 [details]
File: backtrace
Comment 2 Giuseppe Fiorentino 2013-06-26 05:04:59 EDT
Created attachment 765480 [details]
File: environ
Comment 3 Fedora End Of Life 2013-12-21 09:09:08 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:58:15 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.